Subject: Sound does not work from EL6 clients with both pulse cookies

From: Mike DePaulo <[email-masked]>
Date: Wed, 24 May 2017 08:43:56 -0400

Package: x2goclient
Version: 4.1.0.1

PulseAudio Sound fails to work when the following conditions are met:
1. The client is running RHEL 6/CentOS 6/etc
2. The client has both ~/.pulse-cookie ~/.config/pulse/cookie . For
example, when the home directory is an NFS export mounted by both EL6 and
EL7 systems.

Running commands like `pactl list` on the X2Go server yields "Connection
failure: Access denied".

This is because the X2Go client system is using ~/.pulse-cookie with its
PulseAudio server, but X2Go Client copied over ~/.config/pulse/cookie and
is having the X2Go server system use it with its PulseAudio client
libraries.

This can be worked around by symlinking .pulse-cookie to
.config/pulse/cookie .